Welcome, Guest. Please login or register. Did you miss your activation email?

Author Topic: JSFML on Linux (Fedora) UnsatisfiedLinkError libjsfml-XXX.so.1 not found  (Read 7674 times)

0 Members and 1 Guest are viewing this topic.

Hopuranium

  • Newbie
  • *
  • Posts: 6
    • View Profile
Hello Guy! (i'm french)

I'm working on a JSFML project for school.
And I have started to code a game on Windows using JSFML (and intelliJ) and it works well.
But I want to run the game (code) on Eclipse on Linux and the console throws me an exception:
with "UnsatisfiedLinkError " and says that there are missing files with .so.1 as extension in "jsfml.jar".

Thanks you ;)

« Last Edit: November 28, 2017, 11:00:24 pm by Hopuranium »

Gleade

  • Jr. Member
  • **
  • Posts: 55
    • View Profile
Re: JSFML on Linux (Fedora) UnsatisfiedLinkError libjsfml-XXX.so.1 not found
« Reply #1 on: November 30, 2017, 11:39:45 pm »
While admittedly; I have only used JSFML on windows, I believe there is a package which only includes the windows libraries and then there is a version that includes the libraries for all 3 platforms (windows, mac & linux). Open the .jar file as an archive to check if your SFML.jar is missing the linux libraries; if so, go download the package which includes them all.

Hopuranium

  • Newbie
  • *
  • Posts: 6
    • View Profile
Re: JSFML on Linux (Fedora) UnsatisfiedLinkError libjsfml-XXX.so.1 not found
« Reply #2 on: December 04, 2017, 01:29:50 am »
Thx for your reply! Yeah I checked in every jsfml.jar and I already checked the '.so.1' and I can't find them.
:/

Chrupek

  • Newbie
  • *
  • Posts: 3
    • View Profile
    • Email
Re: JSFML on Linux (Fedora) UnsatisfiedLinkError libjsfml-XXX.so.1 not found
« Reply #3 on: December 04, 2017, 12:13:43 pm »
I'm using JSFML on Ubuntu, version below run for me without any problems, however I used to have linking error on Pepermint.

https://jsfml.sfmlprojects.org/files/jsfml-test-Jul31_2013.zip

Hopuranium

  • Newbie
  • *
  • Posts: 6
    • View Profile
Re: JSFML on Linux (Fedora) UnsatisfiedLinkError libjsfml-XXX.so.1 not found
« Reply #4 on: December 05, 2017, 01:18:36 pm »
Thx you!
The problem is that JSFML want to load a '.so.1' but there is no '.so.1' in "jsfml.jar/linux_xXX/".
I'll try this afternoon your jsfml.jar because I do not have Fedora right now.
The required file is 'libopenal.so.1'

Exception in thread "main" java.lang.UnsatisfiedLinkError: /private/student/8/68/17007168/.jsfml/linux_x64/libsfml-audio.so: libopenal.so.1: Ne peut ouvrir le fichier d'objet partagé: Aucun fichier ou dossier de ce type
   at java.lang.ClassLoader$NativeLibrary.load(Native Method)
   at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1941)
   at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1824)
   at java.lang.Runtime.load0(Runtime.java:809)
   at java.lang.System.load(System.java:1086)
   at org.jsfml.internal.SFMLNative.loadNativeLibraries(Unknown Source)
   at org.jsfml.internal.SFMLNativeObject.<init>(Unknown Source)
   at org.jsfml.graphics.Font.<init>(Unknown Source)
   at Utils.Assets.<clinit>(Assets.java:12)
   at Main.main(Main.java:30)
« Last Edit: December 05, 2017, 02:52:15 pm by Hopuranium »

pizzadox9999

  • Newbie
  • *
  • Posts: 5
    • View Profile
    • Email
Re: JSFML on Linux (Fedora) UnsatisfiedLinkError libjsfml-XXX.so.1 not found
« Reply #5 on: January 30, 2022, 10:16:12 am »
If you still need it. As far as i remember you have to install some things manually for fedora.

System requirements
To run a JSFML application, Java JRE 7 or higher is required.

Graphics features require OpenGL, audio features require OpenAL.

Furthermore, there are some platform-specific requirements that are listed below.

Windows
Windows XP SP2 or higher is required. Furthermore, the Visual C++ Redistributable for Visual Studio 2013 needs to be installed.

Linux
Generally, it is recommended to install the latest updates from your distribution's vendor. For windows, an X window environment is required.

Fedora users will need to install the package openal-soft manually.

PS: it works under linux Mint 20 with open and proprietary drivers for the gtx 260 on latest Eclipse
« Last Edit: January 30, 2022, 10:20:06 am by pizzadox9999 »